Skip to main content
POST
/
v2
/
recordings
/
get
Get Recordings
curl --request POST \
  --url https://api.velt.dev/v2/recordings/get \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "recordingIds": [
      "<string>"
    ],
    "pageSize": 123,
    "pageToken": "<string>"
  }
}
'
import requests

url = "https://api.velt.dev/v2/recordings/get"

payload = { "data": {
        "organizationId": "<string>",
        "documentId": "<string>",
        "recordingIds": ["<string>"],
        "pageSize": 123,
        "pageToken": "<string>"
    } }
headers = {
    "x-velt-api-key": "<x-velt-api-key>",
    "x-velt-auth-token": "<x-velt-auth-token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-velt-api-key': '<x-velt-api-key>',
    'x-velt-auth-token': '<x-velt-auth-token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    data: {
      organizationId: '<string>',
      documentId: '<string>',
      recordingIds: ['<string>'],
      pageSize: 123,
      pageToken: '<string>'
    }
  })
};

fetch('https://api.velt.dev/v2/recordings/get', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}
Use this API to retrieve recording annotations for a document or organization. Supports optional filtering by recording ID and standard V2 pagination.

Endpoint

POST https://api.velt.dev/v2/recordings/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Get all recordings for an organization and document

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456"
  }
}

2. Get specific recordings by ID

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "recordingIds": ["rec-1", "rec-2"]
  }
}

3. Get recordings with pagination

{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "pageSize": 10,
    "pageToken": "encryptedPageToken"
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}